#include<iostream>

using namespace std;

int main(){
char c1, c2;
string x;
int a1, a2, a, i;
cin>>c1>>c2;
cin>>a1>>a2;
a=min(a1, a2);
if(a1-a2>1 || a2-a1>1){
    cout<<"nemoguce";
}
else{
    if(a1>=a2){
        for(i=1; i<=a; i++){
            x=x+c1+c2;
        }
    }
    else{
        for(i=1; i<=a; i++){
            x=x+c2+c1;
        }
    }
    if(a1>a2)
    x=x+c1;
    if(a2>a1)
    x=x+c2;
    cout<<x;
}




return 0;
}